Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.i18n
Class LocaleChangeInterceptor

    java.lang.Object
      org.springframework.web.servlet.handler.HandlerInterceptorAdapter
          org.springframework.web.servlet.i18n.LocaleChangeInterceptor

All Implemented Interfaces:
  HandlerInterceptor

    public class LocaleChangeInterceptor

extends HandlerInterceptorAdapter

Interceptor that allows for changing the current locale on every request, via a configurable request parameter.

Since:
  20.06.2003
Author:
  Juergen Hoeller
See Also:
  `LocaleResolver`

Field Summary
`static String` | `DEFAULT_PARAM_NAME` Default name of the locale specification parameter: "locale".

Constructor Summary
`LocaleChangeInterceptor()`

Method Summary
`boolean` | `preHandle(HttpServletRequest request, HttpServletResponse response, Object handler)` This implementation always returns `true`.
`void` | `setParamName(String paramName)` Set the name of the parameter that contains a locale specification in a locale change request.

Methods inherited from class org.springframework.web.servlet.handler.HandlerInterceptorAdapter
`afterCompletion, postHandle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PARAM_NAME

    public static final String DEFAULT_PARAM_NAME

  Default name of the locale specification parameter: "locale".

  See Also:
    Constant Field Values

Constructor Detail

### LocaleChangeInterceptor

    public LocaleChangeInterceptor()

Method Detail

### setParamName

    public void setParamName(String paramName)

  Set the name of the parameter that contains a locale specification in a locale change request. Default is "locale".

### preHandle

    public boolean preHandle(HttpServletRequest request,
                             HttpServletResponse response,
                             Object handler)
                      throws ServletException

  Description copied from class: `HandlerInterceptorAdapter`
  This implementation always returns `true`.

  Specified by:
    `preHandle` in interface `HandlerInterceptor`
  Overrides:
    `preHandle` in class `HandlerInterceptorAdapter`
  Parameters:
    `request` - current HTTP request
    `response` - current HTTP response
    `handler` - chosen handler to execute, for type and/or instance evaluation
  Returns:
    `true` if the execution chain should proceed with the next interceptor or the handler itself. Else, DispatcherServlet assumes that this interceptor has already dealt with the response itself.
  Throws:
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.